=== debian/control ===
Source: ansible
Section: admin
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Build-Depends: debhelper (>= 9), python-all, python-setuptools,
 python-sphinx, python-yaml
Standards-Version: 3.9.4
Homepage: http://ansible.cc
Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ansible.git

Package: ansible
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-paramiko,
 python-jinja2
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

Package: ansible-fireball
Architecture: all
Depends: ${misc:Depends}, ansible, python-keyczar, python-zmq
Description: Ansible fireball transport support
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 Ansible can optionally use a 0MQ based transport mechanism, which is
 considerably faster than the standard ssh mechanism when there are
 multiple actions, but requires additional supporting packages.
 .
 This package is a dependency package, which depends on ansible and Python
 modules for keyczar and ZeroMQ.

Package: ansible-node-fireball
Architecture: all
Depends: ${misc:Depends}, python-keyczar, python-zmq
Description: Ansible fireball transport support for nodes
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 Ansible can optionally use a 0MQ based transport mechanism, which has
 additional requirements for nodes to use. This package includes those
 requirements.
 .
 This package is a dependency package, which depends on Python modules for
 keyczar and ZeroMQ.

Package: ansible-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: Ansible documentation and examples
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains HTML documentation and examples.
