=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 9), python-all, python-setuptools,
  python-sphinx, python-yaml
 Standards-Version: 3.9.4
