=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Standards-Version: 3.9.4
 Homepage: http://ansible.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ansible.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ansible.git
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-paramiko,
- python-jinja2
+ python-jinja2, python-httplib2
+Suggests: ansible-doc
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
  multi-node deployment, and remote task execution system. Ansible works
