=== debian/rules ===
--- 
+++ 
@@ -4,25 +4,24 @@
 	dh $@ --with python2 -Spython_distutils
 
 override_dh_fixperms:
-	chmod +x `grep '^#!' debian/ansible/usr/share/ansible/* -n | grep ':1:' | cut -d: -f 1`
+	chmod +x `grep '^#!' debian/ansible/usr/share/ansible/*/* -n | grep ':1:' | cut -d: -f 1`
 	dh_fixperms
 
 override_dh_auto_build:
 	dh_auto_build
-	cp -a docsite html
-	cp debian/missing-files/ansible_arch.png html
-	PYTHONPATH=../lib make docs -C html
-	rm -rf html/.gitignore \
-	    html/_themes \
-	    html/rst \
-	    html/*.png \
-	    html/*.jpg \
-	    html/*.py \
-	    html/Makefile \
-	    html/.buildinfo
+	# html documentation
+	cp -a docsite/ docbuild
+	cp debian/missing-files/*.jpg docbuild
+	PYTHONPATH=../lib make docs -C docbuild
+	mv docbuild/htmlout html
+	cp -r docbuild/man html/
+	rm -rf docbuild
+	# man pages for the "man3" section
+	make docs
 
 override_dh_auto_clean:
-	rm -rf html
+	# sphinx auto-build stuff
+	rm -rf html docs/man/man3/*.3
 	dh_auto_clean
 
 override_dh_installchangelogs:
