=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
    https://github.com/ansible/ansible/tags .*/v(.*).tar.gz
