=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>,
+ Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
 Build-Depends: debhelper (>= 9), python-all, python-crypto, 
  python-setuptools, python-sphinx, python-yaml, asciidoc
 Standards-Version: 3.9.5
