## ansible 1.6.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # Manpages are currently built with asciidoc -- would like to move to markdown
 # This doesn't evaluate until it's called. The -D argument is the
 # directory of the target file ($@), kinda like `dirname`.
-MANPAGES := docs/man/man1/ansible.1 docs/man/man1/ansible-playbook.1 docs/man/man1/ansible-pull.1 docs/man/man1/ansible-doc.1
+MANPAGES := docs/man/man1/ansible.1 docs/man/man1/ansible-playbook.1 docs/man/man1/ansible-pull.1 docs/man/man1/ansible-doc.1 docs/man/man1/ansible-galaxy.1 docs/man/man1/ansible-vault.1
 ifneq ($(shell which a2x 2>/dev/null),)
 ASCII2MAN = a2x -D $(dir $@) -d manpage -f manpage $<
 ASCII2HTMLMAN = a2x -D docs/html/man/ -d manpage -f xhtml
@@ -122,7 +122,7 @@
 	$(PYTHON) setup.py install
 
 sdist: clean docs
-	$(PYTHON) setup.py sdist -t MANIFEST.in
+	$(PYTHON) setup.py sdist
 
 rpmcommon: $(MANPAGES) sdist
 	@mkdir -p rpm-build
@@ -172,3 +172,4 @@
 webdocs: $(MANPAGES)
 	(cd docsite/; make docs)
 
+docs: $(MANPAGES)
