## ansible 1.6.5+dfsg

=== debian/changelog ===
ansible (1.6.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 28 Jun 2014 10:40:22 +0200

ansible (1.6.5+dfsg-1) unstable; urgency=high

  * New upstream release, x2.
  * Switch to using Files-Excluded to repack upstream for DFSG.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 25 Jun 2014 22:03:26 +0000
