## ansible 1.6.6+dfsg

=== debian/changelog ===
ansible (1.6.6+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 02 Jul 2014 17:36:53 +0200

ansible (1.6.6+dfsg-1) unstable; urgency=high

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 02 Jul 2014 01:35:05 +0000
