=== debian/changelog ===
ansible (1.6.10+dfsg-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 20:11:08 -0400

ansible (1.6.10+dfsg-1) unstable; urgency=high

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 20:00:08 -0400
