## ansible 1.7.2%2Bdfsg

=== docsite/Makefile ===
--- 
+++ 
@@ -9,6 +9,10 @@
 	-(cp *.ico htmlout/)
 	-(cp *.jpg htmlout/)
 	-(cp *.png htmlout/)
+
+variables:
+	(mkdir -p htmlout/)
+	dot variables.dot -Tpng -o htmlout/variables.png
 
 viewdocs: clean staticmin
 	./build-site.py view
