## ansible 1.7.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 RPMSPEC = $(RPMSPECDIR)/ansible.spec
 RPMDIST = $(shell rpm --eval '%{?dist}')
 RPMRELEASE = 1
-ifeq ($(OFFICIAL),)
+ifneq ($(OFFICIAL),yes)
     RPMRELEASE = 0.git$(DATE)
 endif
 RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)$(RPMDIST)"
