=== debian/changelog ===
ansible (1.7.2+dfsg-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1341183)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 25 Sep 2014 21:30:18 +0200

ansible (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 24 Sep 2014 16:55:14 -0400
