=== debian/watch ===
version=3
opts=uversionmangle=s/$/\+dfsg/ \
    https://github.com/ansible/ansible/tags .*/v(.*).tar.gz
