## ansible 1.9.2+dfsg

=== debian/changelog ===
ansible (1.9.2+dfsg-2) unstable; urgency=low

  * Fix suggestion of no-longer-built ansible-doc. (Closes: #795532)
    .
    Ansible used to ship their website which contained the manual for using ansible
    and learning it.  They no longer ship this in released versions, thus ansible-doc
    was removed.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sat, 15 Aug 2015 09:29:31 +0200

ansible (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #773526)
  * Add dependency on python-netaddr (Closes: #790234)
  * Heavy refactoring due to upstream release changes
  * New, comprehensive d/copyright.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sat, 27 Jun 2015 23:12:55 -0400

ansible (1.7.2+dfsg-2) unstable; urgency=low

  * Add updated paths to d/copyright.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Thu, 02 Oct 2014 17:31:12 -0400
