=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
-Build-Depends: debhelper (>= 9), python-all, python-crypto, 
- python-setuptools, python-sphinx, python-yaml, asciidoc,
- python-nose, python-passlib
-Standards-Version: 3.9.5
+ Harlan Lieberman-Berg <hlieberman@setec.io>
+Build-Depends: debhelper (>= 9), python-all, python-crypto,
+ python-setuptools, python-yaml, asciidoc,
+ python-nose, python-passlib, dh-python
+Standards-Version: 3.9.6
 Homepage: http://ansible.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ansible.git
 
 Package: ansible
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml, 
- openssh-client | python-paramiko, python-jinja2, python-httplib2
+Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml,
+ openssh-client | python-paramiko, python-jinja2, python-httplib2,
+ python-netaddr
 Recommends: python-selinux
-Suggests: ansible-doc, sshpass
+Suggests: sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
  multi-node deployment, and remote task execution system. Ansible works
@@ -58,17 +59,3 @@
  .
  This package is a dependency package, which depends on Python modules for
  keyczar and ZeroMQ.
-
-Package: ansible-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-Description: Ansible documentation and examples
- Ansible is a radically simple model-driven configuration management,
- multi-node deployment, and remote task execution system. Ansible works
- over SSH and does not require any software or daemons to be installed
- on remote nodes. Extension modules can be written in any language and
- are transferred to managed machines automatically.
- .
- This package contains HTML documentation and examples.
-
